routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get("/","Auth@index")->name("login");
Route::get("/template",function (){
    return view("template.jadwal");
});
Route::post("/login","Auth@login")->name("login.post");
Route::get("/logout","Auth@logout")->name("login");
Route::prefix("/template")->name("template.")->group(function (){
    Route::get("/ruangan","Utility@excel_template_ruangan")->name("ruangan");
    Route::get("/dosen","Utility@excel_template_dosen")->name("dosen");
    Route::get("/mahasiswa","Utility@excel_template_mahasiswa")->name("mahasiswa");
    Route::get("/sekretariat","Utility@excel_template_sekretariat")->name("sekretariat");
    Route::get("/seminar","Utility@excel_template_seminar")->name("seminar");
    Route::get("/sidang","Utility@excel_template_sidang")->name("sidang");
});

Route::get("/dashboard","Dashboard@index")->middleware("gateway:0|1|2|3")->name("dashboard");
//Admin
Route::prefix("master")->middleware("gateway:0")->name("master.")->namespace("Master")->group(function(){
    Route::prefix("ruangan")->name("ruangan.")->group(function (){
        Route::get("/","Ruangan@index")->name("list");

        Route::get("/add","Ruangan@add")->name("add");
        Route::post("/add","Ruangan@add_action")->name("add.action");

        Route::get("/update/{id}","Ruangan@update")->name("update");
        Route::post("/update/{id}","Ruangan@update_action")->name("update.action");

        Route::get("/delete/{id}","Ruangan@delete")->name("delete");
    });

    Route::prefix("dosen")->name("dosen.")->group(function (){
        Route::get("/","Dosen@index")->name("list");

        Route::get("/add","Dosen@add")->name("add");
        Route::post("/add","Dosen@add_action")->name("add.action");

        Route::get("/update/{id}","Dosen@update")->name("update");
        Route::post("/update/{id}","Dosen@update_action")->name("update.action");

        Route::get("/delete/{id}","Dosen@delete")->name("delete");
    });

    Route::prefix("mahasiswa")->name("mahasiswa.")->group(function (){
        Route::get("/","Mahasiswa@index")->name("list");

        Route::get("/add","Mahasiswa@add")->name("add");
        Route::post("/add","Mahasiswa@add_action")->name("add.action");

        Route::get("/update/{id}","Mahasiswa@update")->name("update");
        Route::post("/update/{id}","Mahasiswa@update_action")->name("update.action");

        Route::get("/delete/{id}","Mahasiswa@delete")->name("delete");
    });

    Route::prefix("sekretariat")->name("sekretariat.")->group(function (){
        Route::get("/","Sekretariat@index")->name("list");

        Route::get("/add","Sekretariat@add")->name("add");
        Route::post("/add","Sekretariat@add_action")->name("add.action");

        Route::get("/update/{id}","Sekretariat@update")->name("update");
        Route::post("/update/{id}","Sekretariat@update_action")->name("update.action");

        Route::get("/delete/{id}","Sekretariat@delete")->name("delete");
    });

    Route::prefix("administrator")->name("administrator.")->group(function (){
        Route::get("/","Administrator@index")->name("list");

        Route::get("/add","Administrator@add")->name("add");
        Route::post("/add","Administrator@add_action")->name("add.action");

        Route::get("/update/{id}","Administrator@update")->name("update");
        Route::post("/update/{id}","Administrator@update_action")->name("update.action");

        Route::get("/delete/{id}","Administrator@delete")->name("delete");
    });
});
//Sekretariat


Route::prefix("penguji")->middleware("gateway:1")->name("penguji.")->namespace("Penjadwalan")->group(function (){
    Route::get("/","Penguji@index")->name("list");

    Route::get("/add","Penguji@add")->name("add");
    Route::post("/add","Penguji@add_action")->name("add.action");

    Route::get("/update/{id}","Penguji@update")->name("update");
    Route::post("/update/{id}","Penguji@update_action")->name("update.action");

    Route::get("/delete/{id}","Penguji@delete")->name("delete");
});

Route::prefix("seminar")->middleware("gateway:1")->name("seminar.")->namespace("Penjadwalan")->group(function (){
    Route::get("/","Seminar@index")->name("list");

    Route::get("/add","Seminar@add")->name("add");
    Route::post("/add","Seminar@add_action")->name("add.action");

    Route::get("/update/{id}","Seminar@update")->name("update");
    Route::post("/update/{id}","Seminar@update_action")->name("update.action");

    Route::get("/delete/{id}","Seminar@delete")->name("delete");

    Route::get("/view","Seminar@view")->name("view");
    Route::get("/config","Seminar@configView")->name("view.config");
    Route::get("/update_status","Seminar@updateStatus")->name("config.update_status");
});


Route::prefix("sidang")->middleware("gateway:1")->name("sidang.")->namespace("Penjadwalan")->group(function (){
    Route::get("/","Sidang@index")->name("list");

    Route::get("/add","Sidang@add")->name("add");
    Route::post("/add","Sidang@add_action")->name("add.action");

    Route::get("/update/{id}","Sidang@update")->name("update");
    Route::post("/update/{id}","Sidang@update_action")->name("update.action");

    Route::get("/delete/{id}","Sidang@delete")->name("delete");

    Route::get("/view","Sidang@view")->name("view");
    Route::get("/config","Sidang@configView")->name("view.config");
    Route::get("/update_status","Sidang@updateStatus")->name("config.update_status");
});
//Siswa
Route::prefix("jadwal")->middleware("gateway:2|3")->namespace("Jadwal")->name("jadwal.")->group(function (){
    Route::get("/","Penjadwalan@index")->name("list");
});



Route::prefix("cetak")->middleware("gateway:1")->namespace("Cetak")->name("cetak")->group(function(){
    Route::get("/","Cetak@index")->name("list");
    Route::get("/jadwal","Cetak@jadwal")->name("jadwal");

});

app/Http/Controllers/Jadwal/Penjadwalan.php
<?php

namespace App\Http\Controllers\Jadwal;

use App\Casts\ScheduleType;
use App\Http\Controllers\Controller;
use App\Models\Schedule;
use App\Traits\ViewTrait;
use Illuminate\Http\Request;

class Penjadwalan extends Controller
{
    use ViewTrait;
    public function __construct()
    {
        $this->base = "jadwal";
    }
    public function index(Request $req)
    {
        $req->validate([
            "type"=>"required"
        ]);
        $title = "Penjadwalan ".ScheduleType::lang($req->type);
        $jadwal = Schedule::where("type",$req->type)->orderBy("start_date","ASC")->orderBy("end_time","ASC")->get();
        return $this->loadView("index",compact("title","jadwal"));
    }
}

app/Http/Controllers/Penjadwalan/Penguji.php
<?php

namespace App\Http\Controllers\Penjadwalan;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class Penguji extends Controller
{
    //
}

app/Http/Controllers/Penjadwalan/Seminar.php
<?php

namespace App\Http\Controllers\Penjadwalan;

use App\Casts\LevelAccount;
use App\Casts\ScheduleStatus;
use App\Casts\ScheduleType;
use App\Casts\StatusAccount;
use App\Http\Controllers\Controller;
use App\Models\Handler;
use App\Models\Room;
use App\Models\Schedule;
use App\Models\User;
use App\Traits\ViewTrait;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class Seminar extends Controller
{
    use ViewTrait;
    public function __construct()
    {
        $this->base = "penjadwalan.seminar";
    }

    /**
     * @param Request $req
     * @return mixed
     */
    public function index(Request $req)
    {
        $data = [
            "title"=>"Data Seminar",
            "data"=>Schedule::select("start_date",DB::raw("COUNT(DISTINCT(room_id)) as total_ruangan"),DB::raw("COUNT(user_id) as total_partisipan"))->where(["type"=>ScheduleType::SEMINAR])->groupBy("start_date")->get()
        ];
        return  $this->loadView("index",$data);
    }

    public function view(Request $req)
    {
        $req->validate([
            "date"=>"required",
            "room_id"=>"numeric"
        ]);
        $title = "Detail Data Seminar ($req->date)";
        if ($req->has("room_id")){
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->where("room_id",$req->room_id)->orderBy("room_id","DESC")->get();
        }else{
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->orderBy("room_id","DESC")->get();
        }
        return $this->loadView("viewForm",compact("title",'data','req'));

    }

    public function configView(Request $req)
    {
        $req->validate([
            "date"=>"required",
            "room_id"=>"numeric"
        ]);
        $title = "Pengaturan Data Seminar ($req->date)";
        if ($req->has("room_id")){
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->where("room_id",$req->room_id)->orderBy("room_id","DESC")->get();
        }else{
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->orderBy("room_id","DESC")->get();
        }
        return $this->loadView("configView",compact("title",'data','req'));
    }

    /**
     * @return mixed
     */
    public function add()
    {
        $title = "Tambah Seminar";
        $data_mhs = User::where(["level"=>LevelAccount::MAHASISWA,"status"=>StatusAccount::ACTIVE])->get(["id","name","username","kelas","semester"]);
        $data_dosen = Handler::all();
        $data_ruangan = Room::all();
        if (count($data_mhs->toArray()) > 0 ){
            $data_mhs = json_encode($data_mhs->toArray());
            $data_dosen = json_encode($data_dosen->toArray());
        }else{
            $data_mhs = null;
            $data_dosen = null;
        }
        return  $this->loadView("form",compact("title","data_mhs","data_dosen","data_ruangan"));
    }

    /**
     * @param Request $req
     * @return mixed
     */
    public function add_action(Request $req)
    {
        $req->validate([
            "user_id"=>"required",
            "handler_1"=>"required",
            "room_id"=>"required",
            "date"=>"required",
            "time_start"=>"required",
            "time_end"=>"required",
        ]);

        $item = [];
        foreach ($req->user_id as $k => $row) {
            $item[] = [
                "room_id"=>$req->room_id[$k],
                "handler_1"=>$req->handler_1[$k],
                "start_time"=>$req->time_start[$k],
                "end_time"=>$req->time_end[$k],
                "type"=>ScheduleType::SEMINAR,
                "user_id"=>$req->user_id[$k],
                "start_date"=>$req->date,
                "status"=>ScheduleStatus::CREATED,
                "created_at"=>date("Y-m-d"),
                "updated_at"=>date("Y-m-d"),
            ];
        }
        $batch = Schedule::insert($item);
        if ($batch){
            return $this->successBack();
        }
        return  $this->failBack();
    }

    /**
     * @param Request $req
     * @param $id
     * @return mixed
     */
    public function update(Request $req, $id)
    {
        $req->validate([
            "date"=>"required",
            "room_id"=>"numeric"
        ]);
        $title = "Update Data Seminar ($req->date)";
        if ($req->has("room_id")){
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->where("room_id",$req->room_id)->orderBy("room_id","ASC")->get();
        }else{
            $data = Schedule::where("start_date",$req->date)->where("type",ScheduleType::SEMINAR)->orderBy("room_id","ASC")->get();
        }
        $data_mhs = User::where(["level"=>LevelAccount::MAHASISWA,"status"=>StatusAccount::ACTIVE])->get(["id","name","username","kelas","semester"]);
        $data_dosen = Handler::all();
        $data_ruangan = Room::all();
        $route = route("seminar.update.action",[$id,$req->date]);
        if (count($data_mhs->toArray()) > 0 ){
            $data_mhs = $data_mhs->toArray();
            $data_dosen = $data_dosen->toArray();
        }else{
            $data_mhs = null;
            $data_dosen = null;
        }
        return  $this->loadView("form",compact("route","title","data_mhs","data_dosen","data_ruangan","req","data"));

    }

    /**
     * @param Request $req
     * @param $id
     * @return mixed
     */
    public function update_action(Request $req, $id)
    {
        $req->validate([
            "id"=>"required",
            "time_start"=>"required",
            "time_end"=>"required",
            "room_id"=>"required",
            "handler_2"=>"required",
            "handler_3"=>"required",
        ]);
        foreach ($req->id as $k => $row) {
            $find = Schedule::find($row);
            $find->room_id = $req->room_id[$k];
            $find->start_time = $req->time_start[$k];
            $find->end_time = $req->time_end[$k];
            $find->handler_2 = $req->handler_2[$k];
            $find->handler_3 = $req->handler_3[$k];
            $find->save();
        }
        return $this->successBack(false);
    }

    /**
     * @param $id
     * @return mixed
     */
    public function delete($id)
    {
        Schedule::findOrFail($id)->delete();
        return $this->successBack(false);
    }

    public function updateStatus(Request $req)
    {
        $req->validate([
            "id"=>"required",
            "status"=>"numeric|required"
        ]);
        if ($req->status == ScheduleStatus::GRADUATE_SEMINAR){
            Schedule::where(["id"=>$req->id])->update(["type"=>ScheduleType::SIDANG_USULAN,"status"=>$req->status]);
        }elseif($req->status == ScheduleStatus::GRADUATE_SIDANG_USULAN){
            Schedule::where(["id"=>$req->id])->update(["type"=>ScheduleType::SIDANG_KOMPREHENSIF,"status"=>$req->status]);
        }elseif($req->status == ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF){
            Schedule::where(["id"=>$req->id])->update(["type"=>ScheduleType::SIDANG_AKHIR,"status"=>$req->status]);
        }else{
            Schedule::where(["id"=>$req->id])->update(["status"=>$req->status]);
        }
        return $this->successBack(false);
    }
}

resources/views/penjadwalan/sidang/configView.blade.php
@extends('adminlte::page')

@section('title', ((isset($title))?$title:""))

@section('content_header')

@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">{{((isset($title))?$title:"")}}</div>
                </div>
                @php
                $ruangan = [];
                $sdate = null;
                foreach ($data as $index => $item) {
                    if ($index === 0){
                        $sdate = $item->start_date->format("Y-m-d");
                    }
                    $ruangan[] = [
                        "v"=>$item->room_id,
                        "n"=>$item->room->name
                    ];
                }
                $ruangan = array_map("unserialize", array_unique(array_map("serialize", $ruangan)));
                @endphp
                <div class="card-body">
                    <div class="form-group mb-5 col-6">
                        <select id="room" class="form-control">
                            <option>Pilih Ruangan</option>
                            @foreach($ruangan as $t)
                                @if($req->has("room_id"))
                                    @if($req->room_id == $t["v"])
                                        <option value="{{$t["v"]}}" selected>{{$t["n"]}}</option>
                                    @else
                                        <option value="{{$t["v"]}}">{{$t["n"]}}</option>
                                    @endif
                                @else
                                    <option value="{{$t["v"]}}">{{$t["n"]}}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                    <div class="table-responsive">
                        <table id="sidang" class="table table-bordered">
                            <thead>
                            <tr>
                                <th>No</th>
                                <th>Waktu Mulai</th>
                                <th>Waktu Selesai</th>
                                <th>Ruangan</th>
                                <th>Pembimbing</th>
                                <th>Penguji 1</th>
                                <th>Penguji 2</th>
                                <th>Status</th>
                                <th>Aksi</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $num => $row)
                                <tr>
                                    <td>{{($num+1)}}</td>
                                    <td>{{($row->start_time)}}</td>
                                    <td>{{($row->end_time)}}</td>
                                    <td>{{($row->room->name)}}</td>
                                    <td>{{($row->pembimbing->name)}}</td>
                                    <td>{{(($row->penguji_satu)?$row->penguji_satu->name:"-")}}</td>
                                    <td>{{(($row->penguji_dua)?$row->penguji_dua->name:"-")}}</td>
                                    <td>{{(\App\Casts\ScheduleStatus::lang($row->status))}}</td>
                                    @if(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF === $row->status)
                                        <td>
                                            <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::GRADUATE_SIDANG_AKHIR])}}" class="btn btn-success btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_AKHIR)}}</a>
                                            <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::UNGRADUATE_SIDANG_AKHIR])}}" class="btn btn-danger btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::UNGRADUATE_SIDANG_AKHIR)}}</a>
                                        </td>
                                        @elseif(\App\Casts\ScheduleStatus::GRADUATE_SEMINAR === $row->status)
                                            <td>
                                                <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::GRADUATE_SIDANG_USULAN])}}" class="btn btn-success btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_USULAN)}}</a>
                                                <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::UNGRADUATE_SIDANG_USULAN])}}" class="btn btn-danger btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::UNGRADUATE_SIDANG_USULAN)}}</a>
                                            </td>
                                    @elseif(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_USULAN === $row->status)
                                        <td>
                                            <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF])}}" class="btn btn-success btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF)}}</a>
                                            <a href="{{route("sidang.config.update_status",["id"=>$row->id,"status"=>\App\Casts\ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF])}}" class="btn btn-danger btn-sm m-2" onclick="return confirm('Apakah Anda Yakin ? ')">Set : {{\App\Casts\ScheduleStatus::lang(\App\Casts\ScheduleStatus::GRADUATE_SIDANG_KOMPREHENSIF)}}</a>
                                        </td>
                                    @else
                                        <td>
                                            -
                                        </td>
                                    @endif
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css')

@stop

@section("js")
    @include("msg")
    <script>

        $(document).ready(function () {
            $("#sidang").DataTable();
            $("#room").on("change",function () {
                const v = parseInt($(this).val());
                const c = "{{(explode("&",url()->current()))[0]}}";
                if((v - 9999)){
                    location.href = c+"?date={{$sdate}}&room_id="+v;
                }else{
                    location.href = c+"?date={{$sdate}}";
                }
            })

        });
    </script>
@stop

resources/views/penjadwalan/sidang/index.blade.php
@extends('adminlte::page')

@section('title', ((isset($title))?$title:""))

@section('content_header')

@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">{{((isset($title))?$title:"")}}</div>
                </div>
                <div class="card-body">
                    <a href="{{route("template.sidang",["type"=>$_GET["type"]])}}" class="btn btn-primary ml-2 mb-4">
                        <li class="fa fa-download"></li> Export Data
                    </a>
                    <div class="table-responsive">
                        <table id="sidang" class="table table-bordered">
                            <thead>
                            <tr>
                                <th>No</th>
                                <th>Tgl</th>
                                <th>Total Partisipan</th>
                                <th>Total Ruangan</th>
                                <th>Aksi</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $num => $row)
                                <tr>
                                    <td>{{($num+1)}}</td>
                                    <td>{{$row->start_date->format("d/m/Y")}}</td>
                                    <td>{{number_format($row->total_partisipan)}} Orang</td>
                                    <td>{{number_format($row->total_ruangan)}} Ruangan</td>
                                    <td>
                                        <a href="{{route("sidang.view.config",["type"=>$type,"date"=>$row->start_date->format("Y-m-d")])}}" class="btn btn-primary m-2">
                                            <li class="fa fa-cogs"></li>
                                        </a>
                                        <a href="{{route("sidang.view",["type"=>$type,"date"=>$row->start_date->format("Y-m-d")])}}" class="btn btn-primary m-2">
                                            <li class="fa fa-eye"></li>
                                        </a>
                                        <a href="{{route("sidang.update",[$type,"date"=>$row->start_date->format("Y-m-d")])}}" class="btn btn-primary m-2">
                                            <li class="fa fa-users"></li>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css')

@stop

@section("js")
    @include("msg")
    <script>
        $(document).ready(function () {
            $("#sidang").DataTable();
            
        });
    </script>
@stop

resources/views/penjadwalan/sidang/viewForm.blade.php
@extends('adminlte::page')

@section('title', ((isset($title))?$title:""))

@section('content_header')

@stop

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-title">{{((isset($title))?$title:"")}}</div>
                </div>
                @php
                $ruangan = [];
                $sdate = null;
                foreach ($data as $index => $item) {
                    if ($index === 0){
                        $sdate = $item->start_date->format("Y-m-d");
                    }
                    $ruangan[] = [
                        "v"=>$item->room_id,
                        "n"=>$item->room->name
                    ];
                }
                $ruangan = array_map("unserialize", array_unique(array_map("serialize", $ruangan)));
                @endphp
                <div class="card-body">
                    <div class="form-group mb-5 col-6">
                        <select id="room" class="form-control">
                            <option>Pilih Ruangan</option>
                            @foreach($ruangan as $t)
                                @if($req->has("room_id"))
                                    @if($req->room_id == $t["v"])
                                        <option value="{{$t["v"]}}" selected>{{$t["n"]}}</option>
                                    @else
                                        <option value="{{$t["v"]}}">{{$t["n"]}}</option>
                                    @endif
                                @else
                                    <option value="{{$t["v"]}}">{{$t["n"]}}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                    <div class="table-responsive">
                        <table id="seminar" class="table table-bordered">
                            <thead>
                            <tr>
                                <th>No</th>
                                <th>Nama Mahasiswa</th>
                                <th>Waktu Mulai</th>
                                <th>Waktu Selesai</th>
                                <th>Ruangan</th>
                                <th>Pembimbing</th>
                                <th>Penguji 1</th>
                                <th>Penguji 2</th>
                                <th>Status</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $num => $row)
                                <tr>
                                    <td>{{($num+1)}}</td>
                                    <td>{{($row->user->name)}}</td>
                                    <td>{{($row->start_time)}}</td>
                                    <td>{{($row->end_time)}}</td>
                                    <td>{{($row->room->name)}}</td>
                                    <td>{{($row->pembimbing->name)}}</td>
                                    <td>{{(($row->penguji_satu)?$row->penguji_satu->name:"-")}}</td>
                                    <td>{{(($row->penguji_dua)?$row->penguji_dua->name:"-")}}</td>
                                    <td>{{(\App\Casts\ScheduleStatus::lang($row->status))}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop

@section('css')

@stop

@section("js")
    @include("msg")
    <script>

        $(document).ready(function () {
            $("#seminar").DataTable();
            $("#room").on("change",function () {
                const v = parseInt($(this).val());
                const c = "{{(explode("&",url()->current()))[0]}}";
                if((v - 9999)){
                    location.href = c+"?date={{$sdate}}&room_id="+v;
                }else{
                    location.href = c+"?date={{$sdate}}";
                }
            })

        });
    </script>
@stop